<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CustomProperty (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CustomProperty (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CustomProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/CustomProperties.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/Date.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/CustomProperty.html" target="_top">Frames</a></li>
        <li><a href="CustomProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hpsf.Property">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class CustomProperty" class="title">Class CustomProperty</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/hpsf/Property.html" title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.Property</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hpsf.CustomProperty</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CustomProperty</span>
extends <a href="../../../../org/apache/poi/hpsf/Property.html" title="class in org.apache.poi.hpsf">Property</a></pre>
                <div class="block">This class represents custom properties in the document summary
                    information stream. The difference to normal properties is that custom
                    properties have an optional name. If the name is not <code>null</code> it
                    will be maintained in the section's dictionary.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.hpsf.Property">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hpsf.<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a></h3>
                                <code><a href="../../../../org/apache/poi/hpsf/Property.html#DEFAULT_CODEPAGE">DEFAULT_CODEPAGE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#CustomProperty--">CustomProperty</a></span>()</code>
                                    <div class="block">Creates an empty <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#CustomProperty-org.apache.poi.hpsf.Property-">CustomProperty</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>&nbsp;property)</code>
                                    <div class="block">Creates a <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> without
                                        a name by copying the
                                        underlying <a href="../../../../org/apache/poi/hpsf/Property.html"
                                                      title="class in org.apache.poi.hpsf"><code>Property</code></a>'
                                        attributes.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#CustomProperty-org.apache.poi.hpsf.Property-java.lang.String-">CustomProperty</a></span>(<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a>&nbsp;property,
                                    java.lang.String&nbsp;name)</code>
                                    <div class="block">Creates a <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> with a
                                        name.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Compares two properties.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#equalsContents-java.lang.Object-">equalsContents</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Compares two custom properties for equality.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#getName--">getName</a></span>()</code>
                                    <div class="block">Gets the property's name.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Sets the property's name.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.hpsf.Property">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpsf.<a
                                        href="../../../../org/apache/poi/hpsf/Property.html"
                                        title="class in org.apache.poi.hpsf">Property</a></h3>
                                <code><a href="../../../../org/apache/poi/hpsf/Property.html#getID--">getID</a>, <a
                                        href="../../../../org/apache/poi/hpsf/Property.html#getSize-int-">getSize</a>,
                                    <a href="../../../../org/apache/poi/hpsf/Property.html#getType--">getType</a>, <a
                                            href="../../../../org/apache/poi/hpsf/Property.html#getValue--">getValue</a>,
                                    <a href="../../../../org/apache/poi/hpsf/Property.html#setID-long-">setID</a>, <a
                                            href="../../../../org/apache/poi/hpsf/Property.html#setType-long-">setType</a>,
                                    <a href="../../../../org/apache/poi/hpsf/Property.html#setValue-java.lang.Object-">setValue</a>,
                                    <a href="../../../../org/apache/poi/hpsf/Property.html#toString--">toString</a>, <a
                                            href="../../../../org/apache/poi/hpsf/Property.html#toString-int-org.apache.poi.hpsf.wellknown.PropertyIDMap-">toString</a>,
                                    <a href="../../../../org/apache/poi/hpsf/Property.html#write-java.io.OutputStream-int-">write</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CustomProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CustomProperty</h4>
                                <pre>public&nbsp;CustomProperty()</pre>
                                <div class="block">Creates an empty <a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                        title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a>. The set
                                    methods must be
                                    called to make it usable.
                                </div>
                            </li>
                        </ul>
                        <a name="CustomProperty-org.apache.poi.hpsf.Property-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CustomProperty</h4>
                                <pre>public&nbsp;CustomProperty(<a href="../../../../org/apache/poi/hpsf/Property.html"
                                                                   title="class in org.apache.poi.hpsf">Property</a>&nbsp;property)</pre>
                                <div class="block">Creates a <a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                        title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> without a
                                    name by copying the
                                    underlying <a href="../../../../org/apache/poi/hpsf/Property.html"
                                                  title="class in org.apache.poi.hpsf"><code>Property</code></a>'
                                    attributes.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>property</code> - the property to copy</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CustomProperty-org.apache.poi.hpsf.Property-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CustomProperty</h4>
                                <pre>public&nbsp;CustomProperty(<a href="../../../../org/apache/poi/hpsf/Property.html"
                                                                   title="class in org.apache.poi.hpsf">Property</a>&nbsp;property,
                      java.lang.String&nbsp;name)</pre>
                                <div class="block">Creates a <a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                        title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> with a
                                    name.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>property</code> - This property's attributes are copied to the new custom
                                        property.
                                    </dd>
                                    <dd><code>name</code> - The new custom property's name.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Gets the property's name.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the property's name.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setName</h4>
                                <pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;name)</pre>
                                <div class="block">Sets the property's name.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - The name to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equalsContents-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equalsContents</h4>
                                <pre>public&nbsp;boolean&nbsp;equalsContents(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Compares two custom properties for equality. The method returns
                                    <code>true</code> if all attributes of the two custom properties are
                                    equal.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - The custom property to compare with.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if both custom properties are equal, else
                                        <code>false</code>.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>AbstractSet.equals(java.lang.Object)</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/hpsf/Property.html#hashCode--">hashCode</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hpsf/Property.html"
                                                            title="class in org.apache.poi.hpsf">Property</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>AbstractSet.hashCode()</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/hpsf/Property.html#equals-java.lang.Object-">Property</a></code></span>
                                </div>
                                <div class="block">Compares two properties.<p>

                                    Please beware that a property with
                                    ID == 0 is a special case: It does not have a type, and its value is the
                                    section's dictionary. Another special case are strings: Two properties
                                    may have the different types Variant.VT_LPSTR and Variant.VT_LPWSTR;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hpsf/Property.html#equals-java.lang.Object-">equals</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hpsf/Property.html"
                                                            title="class in org.apache.poi.hpsf">Property</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Object.equals(java.lang.Object)</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CustomProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/CustomProperties.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/Date.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/CustomProperty.html" target="_top">Frames</a></li>
        <li><a href="CustomProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hpsf.Property">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
